## org.freedesktop.NetworkManager.Device.IPTunnel org.freedesktop.NetworkManager.Device.IPTunnel — IP Tunneling Device |

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    Mode                readable   u
    Parent              readable   o
    Local               readable   s
    Remote              readable   s
    Ttl                 readable   y
    Tos                 readable   y
    PathMtuDiscovery    readable   b
    InputKey            readable   s
    OutputKey           readable   s
    EncapsulationLimit  readable   y
    FlowLabel           readable   u

## Description

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "Mode" property

    Mode  readable   u

The tunneling mode.

### The "Parent" property

    Parent  readable   o

The object path of the parent device.

### The "Local" property

    Local  readable   s

The local endpoint of the tunnel.

### The "Remote" property

    Remote  readable   s

The remote endpoint of the tunnel.

### The "Ttl" property

    Ttl  readable   y

The TTL assigned to tunneled packets. 0 is a special value meaning that packets inherit the TTL value

### The "Tos" property

    Tos  readable   y

The type of service (IPv4) or traffic class (IPv6) assigned to tunneled packets.

### The "PathMtuDiscovery" property

    PathMtuDiscovery  readable   b

Whether path MTU discovery is enabled on this tunnel.

### The "InputKey" property

    InputKey  readable   s

The key used for incoming packets.

### The "OutputKey" property

    OutputKey  readable   s

The key used for outgoing packets.

### The "EncapsulationLimit" property

    EncapsulationLimit  readable   y

How many additional levels of encapsulation are permitted to be prepended to packets. This property applies only to IPv6 tunnels.

### The "FlowLabel" property

    FlowLabel  readable   u

The flow label to assign to tunnel packets. This property applies only to IPv6 tunnels.